Zope Deprecation Infrastructure


Keywords
deprecation, deprecated, warning
License
ZPL-2.1
Install
pip install zope.deprecation==4.4.0

Documentation

zope.deprecation

Latest release Supported Python versions https://travis-ci.org/zopefoundation/zope.deprecation.svg?branch=master https://coveralls.io/repos/github/zopefoundation/zope.deprecation/badge.svg?branch=master Documentation Status

This package provides a simple function called deprecated(names, reason) to mark deprecated modules, classes, functions, methods and properties.

Please see https://zopedeprecation.readthedocs.io for the documentation.